## groovy.util
Class ObservableList.ElementClearedEvent

    java.lang.Object
      java.util.EventObject
          java.beans.PropertyChangeEvent
              groovy.util.ObservableList.ElementEvent
                  groovy.util.ObservableList.ElementClearedEvent

All Implemented Interfaces:
  Serializable

Enclosing class:
  ObservableList

    public static class ObservableList.ElementClearedEvent
    extends ObservableList.ElementEvent

See Also:
  Serialized Form

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class groovy.util.ObservableList.ElementEvent
`ADDED, CLEARED, MULTI_ADD, MULTI_REMOVE, NEWVALUE, OLDVALUE, REMOVED, UPDATED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
Constructor and Description
`ObservableList.ElementClearedEvent(Object source, List values)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`List` `getValues()`

Methods inherited from class groovy.util.ObservableList.ElementEvent
`getIndex, getType, getTypeAsString`

Methods inherited from class java.beans.PropertyChangeEvent
`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObservableList.ElementClearedEvent

    public ObservableList.ElementClearedEvent(Object source,
                                              List values)

Method Detail

### getValues

    public List getValues()

Copyright © 2003-2010 The Codehaus. All rights reserved.